Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.set.impl
Class SimpleSetCapability

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
              org.apache.muse.ws.resource.properties.set.impl.SimpleSetCapability

All Implemented Interfaces:
  Capability, Initialization, InitializationParameters, PutResourcePropertyDocument, SetCapability, SetResourceProperties, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

public class SimpleSetCapability
extends AbstractWsResourceCapability
implements SetCapability

SimpleSetCapability is Muse's default implementation of the WS-RP 'set' operations - the implementation simply forwards these requests to the equivalent methods in ResourcePropertyCollection.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleSetCapability()`

Method Summary
`protected MessageHandler` | `createSetHandler()`
`void` | `initialize()` AbstractWsResourceCapability continues the initialization process by inspecting the concrete class to find all of the getters (and, if applicable, setters) for its resource properties. It then registers itself with the resource's WSRP collection so that read and write requests for its properties are delegated to it. AbstractWsResourceCapability continues the initialization process by inspecting the concrete class to find all of the getters (and, if applicable, setters) for its resource properties.
`org.w3c.dom.Element` | `putResourcePropertyDocument(org.w3c.dom.Element wsrpDoc)`
`void` | `setResourceProperties(SetRequest request)` Modifies one or more property instances according to the definition of the three WS-RP write operations: Insert, Update, and Delete.

Methods inherited from class org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
`createGettersAndSetters, deleteProperty, getGetter, getProperty, getPropertyElements, getPropertyNames, getSetter, getWsResource, insertProperty, invokeMethod, setResource, updateProperty`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### SimpleSetCapability

    public SimpleSetCapability()

Method Detail

### createSetHandler

    protected MessageHandler createSetHandler()

### initialize

    public void initialize()
                    throws SoapFault

  Description copied from class: `AbstractWsResourceCapability`
  AbstractWsResourceCapability continues the initialization process by inspecting the concrete class to find all of the getters (and, if applicable, setters) for its resource properties. It then registers itself with the resource's WSRP collection so that read and write requests for its properties are delegated to it.

  Specified by:
    `initialize` in interface `Initialization`
  Overrides:
    `initialize` in class `AbstractWsResourceCapability`
  Throws:
    `SoapFault`

### putResourcePropertyDocument

    public org.w3c.dom.Element putResourcePropertyDocument(org.w3c.dom.Element wsrpDoc)
                                                    throws BaseFault

  Specified by:
    `putResourcePropertyDocument` in interface `PutResourcePropertyDocument`
  Parameters:
    `wsrpDoc` - The new WSRP document for the resource instance.
  Returns:
    If the change was a complete success, the method returns null. If any differences exist between the given WSRP document and the one that is present after the method is finished, the method returns the entire WSRP document.
  Throws:
    `BaseFault`

### setResourceProperties

    public void setResourceProperties(SetRequest request)
                               throws BaseFault

  Description copied from interface: `SetResourceProperties`
  Modifies one or more property instances according to the definition of the three WS-RP write operations: Insert, Update, and Delete. The operations in the request are processed in order. There is no transaction support as part of basic WS-RP, so if one operation fails, the operations that were completed before it will remain intact.

  Specified by:
    `setResourceProperties` in interface `SetResourceProperties`
  Parameters:
    `request` - The SetResourceProperties request that contains the individual operations { Insert, Update, Delete } to perform on the document.
  Throws:
    `BaseFault` -
    - If one of the individual set operations fails. Please review the different fault cases for each set operation in the SetResourcePropertiesRequests interface.
  See Also:
    `SetResourceProperties`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD